> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Session

> Delete an identity session in an App. You can only send in one of the following: `session_token`, `session_jwt`, `session_id`. If more than one parameter is sent in, a validation error will be returned.
## Returns

A successful response returns an object with `message` property.



## OpenAPI

````yaml delete /v1/auth/sessions/delete
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/auth/sessions/delete:
    delete:
      tags:
        - Sessions
      summary: Delete Session
      description: >-
        Delete an identity session in an App. You can only send in one of the
        following: `session_token`, `session_jwt`, `session_id`. If more than
        one parameter is sent in, a validation error will be returned.

        ## Returns


        A successful response returns an object with `message` property.
      operationId: DeleteSession
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteSessionRequest'
            examples:
              DeleteSessionReq:
                value:
                  session_token: >-
                    50ulk0Tqgq3LlelxW3jNjj92yrIpyfPC3qkbXqGMTYkS45OhPtFlG4468lvtqyvs
      responses:
        '200':
          description: Delete Session response
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  message:
                    type: string
                    minLength: 1
                required:
                  - message
              examples:
                DeleteSessionResp:
                  value:
                    message: Successfully deleted session
components:
  schemas:
    DeleteSessionRequest:
      description: ''
      type: object
      properties:
        session_token:
          type: string
          minLength: 1
          description: >-
            `Required if session_id and session_jwt not present` Unique Session
            Token to delete.
        session_jwt:
          type: string
          description: >-
            `Required if session_id and session_token not present` Unique
            Session JWT to verify.
        session_id:
          type: string
          description: >-
            `Required if session_token and session_jwt not present` Unique Given
            Session ID to delete.
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````